Debian 9810 Published by

A python-django security update has been released for Debian GNU/Linux 11 and 12 to address a missing sanitizing in the email and URL validators.



[SECURITY] [DSA 5465-1] python-django security update


- -------------------------------------------------------------------------
Debian Security Advisory DSA-5465-1 security@debian.org
https://www.debian.org/security/ Moritz Muehlenhoff
August 03, 2023 https://www.debian.org/security/faq
- -------------------------------------------------------------------------

Package : python-django
CVE ID : CVE-2023-36053

Seokchan Yoon discovered that missing sanitising in the email and URL
validators of Django, a Python web development framework, could result
in denial of service.

For the oldstable distribution (bullseye), this problem has been fixed
in version 2:2.2.28-1~deb11u2. This update also addresses CVE-2023-23969,
CVE-2023-31047 and CVE-2023-24580.

For the stable distribution (bookworm), this problem has been fixed in
version 3:3.2.19-1+deb12u1.

We recommend that you upgrade your python-django packages.

For the detailed security status of python-django please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/python-django

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://www.debian.org/security/